--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "@author Guy van den Berg @since 0.9"
constants: []

full_name: DataMapper::Validate::RequiredFieldValidator
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: boolean_type?
- !ruby/object:RI::MethodSummary 
  name: call
- !ruby/object:RI::MethodSummary 
  name: default_error
- !ruby/object:RI::MethodSummary 
  name: present?
name: RequiredFieldValidator
superclass: GenericValidator
